﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using Npgsql.EntityFrameworkCore.PostgreSQL.Metadata;
using Tripark.Core.Context;

namespace Tripark.Core.Migrations
{
    [DbContext(typeof(TriparkDatabaseContext))]
    [Migration("20211213195943_WorkingHoursColumnAdded")]
    partial class WorkingHoursColumnAdded
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("Npgsql:ValueGenerationStrategy", NpgsqlValueGenerationStrategy.SerialColumn)
                .HasAnnotation("ProductVersion", "3.1.18")
                .HasAnnotation("Relational:MaxIdentifierLength", 63);

            modelBuilder.Entity("Tripark.Domain.Entities.CommonSetting", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer")
                        .HasAnnotation("Npgsql:ValueGenerationStrategy", NpgsqlValueGenerationStrategy.SerialColumn);

                    b.Property<string>("Group")
                        .HasColumnType("text");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("Value")
                        .IsRequired()
                        .HasColumnType("text");

                    b.HasKey("Id");

                    b.ToTable("CommonSetting");
                });

            modelBuilder.Entity("Tripark.Domain.Entities.Company", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<DateTime>("AddDate")
                        .HasColumnType("timestamp without time zone");

                    b.Property<int>("CityId")
                        .HasColumnType("integer");

                    b.Property<Guid>("CompanyGroupId")
                        .HasColumnType("uuid");

                    b.Property<int>("CountyId")
                        .HasColumnType("integer");

                    b.Property<string>("Description")
                        .HasColumnType("text");

                    b.Property<string>("FullAddress")
                        .HasColumnType("text");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("boolean");

                    b.Property<bool>("IsMasterBranch")
                        .HasColumnType("boolean");

                    b.Property<double>("Latitude")
                        .HasColumnType("double precision");

                    b.Property<string>("Logo")
                        .HasColumnType("text");

                    b.Property<double>("Longitude")
                        .HasColumnType("double precision");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("PhoneNumber")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("Title")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<int>("TypeId")
                        .HasColumnType("integer");

                    b.Property<string>("UniqueAddressId")
                        .HasColumnType("text");

                    b.Property<DateTime>("UpdateDate")
                        .HasColumnType("timestamp without time zone");

                    b.Property<string>("WorkingHours")
                        .HasColumnType("text");

                    b.HasKey("Id");

                    b.HasIndex("CompanyGroupId");

                    b.ToTable("Company");

                    b.HasData(
                        new
                        {
                            Id = new Guid("016fe50e-f13e-429e-a502-7da96d6bd601"),
                            AddDate = new DateTime(2021, 12, 13, 22, 59, 42, 398, DateTimeKind.Local).AddTicks(2751),
                            CityId = 16,
                            CompanyGroupId = new Guid("01d4d52f-d403-4084-90b3-21972f9d6501"),
                            CountyId = 0,
                            Description = "Test User Company",
                            FullAddress = "Karaman Mahallesi - Korfez Sokak - No:7/10",
                            IsDeleted = false,
                            IsMasterBranch = true,
                            Latitude = 40.213684999999998,
                            Logo = "",
                            Longitude = 28.997748999999999,
                            Name = "Tripark Otopark",
                            PhoneNumber = "05558105297",
                            Title = "Tri Otopark",
                            TypeId = 1,
                            UniqueAddressId = "6X7X+F5",
                            UpdateDate = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified)
                        });
                });

            modelBuilder.Entity("Tripark.Domain.Entities.CompanyGroup", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<DateTime>("AddDate")
                        .HasColumnType("timestamp without time zone");

                    b.Property<string>("GroupTitle")
                        .HasColumnType("text");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("boolean");

                    b.Property<DateTime>("UpdateDate")
                        .HasColumnType("timestamp without time zone");

                    b.HasKey("Id");

                    b.ToTable("CompanyGroup");

                    b.HasData(
                        new
                        {
                            Id = new Guid("01d4d52f-d403-4084-90b3-21972f9d6501"),
                            AddDate = new DateTime(2021, 12, 13, 22, 59, 42, 399, DateTimeKind.Local).AddTicks(3553),
                            GroupTitle = "TriPark Autopark Systems",
                            IsDeleted = false,
                            UpdateDate = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified)
                        });
                });

            modelBuilder.Entity("Tripark.Domain.Entities.CompanyUser", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<DateTime>("AddDate")
                        .HasColumnType("timestamp without time zone");

                    b.Property<Guid>("CompanyId")
                        .HasColumnType("uuid");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("boolean");

                    b.Property<DateTime>("UpdateDate")
                        .HasColumnType("timestamp without time zone");

                    b.Property<Guid>("UserId")
                        .HasColumnType("uuid");

                    b.HasKey("Id");

                    b.HasIndex("CompanyId");

                    b.HasIndex("UserId");

                    b.ToTable("CompanyUser");

                    b.HasData(
                        new
                        {
                            Id = new Guid("0136af1b-42b4-4d7f-b99a-f168c9287165"),
                            AddDate = new DateTime(2021, 12, 13, 22, 59, 42, 407, DateTimeKind.Local).AddTicks(7156),
                            CompanyId = new Guid("016fe50e-f13e-429e-a502-7da96d6bd601"),
                            IsDeleted = false,
                            UpdateDate = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            UserId = new Guid("01660ef8-cb4a-42c2-a82e-2a0e099ad4ab")
                        });
                });

            modelBuilder.Entity("Tripark.Domain.Entities.Role", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer")
                        .HasAnnotation("Npgsql:ValueGenerationStrategy", NpgsqlValueGenerationStrategy.SerialColumn);

                    b.Property<string>("Name")
                        .HasColumnType("character varying(300)")
                        .HasMaxLength(300);

                    b.HasKey("Id");

                    b.ToTable("Role");

                    b.HasData(
                        new
                        {
                            Id = 99,
                            Name = "SystemAdmin"
                        },
                        new
                        {
                            Id = 2,
                            Name = "WebClientAdmin"
                        },
                        new
                        {
                            Id = 1,
                            Name = "MobileUser"
                        });
                });

            modelBuilder.Entity("Tripark.Domain.Entities.User", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<DateTime>("AddDate")
                        .HasColumnType("timestamp without time zone");

                    b.Property<string>("Email")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("GsmNumber")
                        .IsRequired()
                        .HasColumnType("character varying(50)")
                        .HasMaxLength(50);

                    b.Property<bool>("IsActive")
                        .HasColumnType("boolean");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("boolean");

                    b.Property<string>("Lastname")
                        .HasColumnType("text");

                    b.Property<string>("Name")
                        .HasColumnType("text");

                    b.Property<string>("Password")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<DateTime>("UpdateDate")
                        .HasColumnType("timestamp without time zone");

                    b.HasKey("Id");

                    b.ToTable("User");

                    b.HasData(
                        new
                        {
                            Id = new Guid("01660ef8-cb4a-42c2-a82e-2a0e099ad4ab"),
                            AddDate = new DateTime(2021, 12, 13, 22, 59, 42, 389, DateTimeKind.Local).AddTicks(6006),
                            Email = "test@tripark.com",
                            GsmNumber = "+905558105297",
                            IsActive = true,
                            IsDeleted = false,
                            Name = "Tripark Test User",
                            Password = "8Fxs2hRbgAByivUO8a/sXw==",
                            UpdateDate = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified)
                        },
                        new
                        {
                            Id = new Guid("99d4d52f-d403-4084-90b3-21972f9d65f8"),
                            AddDate = new DateTime(2021, 12, 13, 22, 59, 42, 392, DateTimeKind.Local).AddTicks(9742),
                            Email = "admin@tripark.com",
                            GsmNumber = "+905558105297",
                            IsActive = true,
                            IsDeleted = false,
                            Name = "Tripark Admin User",
                            Password = "8Fxs2hRbgAByivUO8a/sXw==",
                            UpdateDate = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified)
                        });
                });

            modelBuilder.Entity("Tripark.Domain.Entities.UserRole", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<DateTime>("AddDate")
                        .HasColumnType("timestamp without time zone");

                    b.Property<int>("RoleId")
                        .HasColumnType("integer");

                    b.Property<DateTime>("UpdateDate")
                        .HasColumnType("timestamp without time zone");

                    b.Property<Guid>("UserId")
                        .HasColumnType("uuid");

                    b.HasKey("Id");

                    b.HasIndex("RoleId");

                    b.HasIndex("UserId");

                    b.ToTable("UserRole");

                    b.HasData(
                        new
                        {
                            Id = new Guid("2ae315c1-7576-428f-b4d2-e39e57d36e22"),
                            AddDate = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            RoleId = 2,
                            UpdateDate = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            UserId = new Guid("01660ef8-cb4a-42c2-a82e-2a0e099ad4ab")
                        },
                        new
                        {
                            Id = new Guid("44888020-0bd5-43a1-b163-088feab46d5d"),
                            AddDate = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            RoleId = 99,
                            UpdateDate = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            UserId = new Guid("99d4d52f-d403-4084-90b3-21972f9d65f8")
                        });
                });

            modelBuilder.Entity("Tripark.Domain.Entities.Company", b =>
                {
                    b.HasOne("Tripark.Domain.Entities.CompanyGroup", "CompanyGroup")
                        .WithMany("Companies")
                        .HasForeignKey("CompanyGroupId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("Tripark.Domain.Entities.CompanyUser", b =>
                {
                    b.HasOne("Tripark.Domain.Entities.Company", "Company")
                        .WithMany("CompanyUsers")
                        .HasForeignKey("CompanyId")
                        .HasConstraintName("FK_CompanyUser_Company")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("Tripark.Domain.Entities.User", "User")
                        .WithMany("CompanyUsers")
                        .HasForeignKey("UserId")
                        .HasConstraintName("FK_CompanyUser_User")
                        .IsRequired();
                });

            modelBuilder.Entity("Tripark.Domain.Entities.UserRole", b =>
                {
                    b.HasOne("Tripark.Domain.Entities.Role", "Role")
                        .WithMany("UserRoles")
                        .HasForeignKey("RoleId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("Tripark.Domain.Entities.User", "User")
                        .WithMany("UserRoles")
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });
#pragma warning restore 612, 618
        }
    }
}
